!(function() {
	const top_box = document.querySelector('#footer')
	// console.log(top_box.offsetTop)
	const top = document.querySelector('#footer .top')
	// 第一步当滚轮滚动到具体位置，top的内容显现
	// 注意他的offsettop是根据自己定位的盒子来的哦，由于这个使用了绝对定位所以，距离是按照他的父亲来的
	var n = document.documentElement.scrollHeight - 300 - document.documentElement.clientHeight
	window.addEventListener('scroll', function() {
		if (document.documentElement.scrollTop >= n) {
			top.style.opacity = 1
		} else {
			top.style.opacity = 0
		}
	})
	top.addEventListener('click', function() {
		document.documentElement.scrollTop = 0
	})
})()